Package org.apache.sling.sitemap.builder.extensions

## Interface GoogleImageExtension

All Superinterfaces:
  `Extension`

    @ProviderType
    public interface GoogleImageExtension
    extends Extension

An extension to add image links and metadata to an `Url`.

See Also:
  Image sitemaps

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull GoogleImageExtension` `setCaption​(@Nullable String caption)`
`@NotNull GoogleImageExtension` `setGeoLocation​(@Nullable String geoLocation)`
`@NotNull GoogleImageExtension` `setLicense​(@Nullable String licenseLocation)`
`@NotNull GoogleImageExtension` `setTitle​(@Nullable String title)`
`@NotNull GoogleImageExtension` `setUrl​(@NotNull String location)`

### Method Detail

#### setUrl

    @NotNull
    @NotNull GoogleImageExtension setUrl​(@NotNull
                                         @NotNull String location)

#### setCaption

    @NotNull
    @NotNull GoogleImageExtension setCaption​(@Nullable
                                             @Nullable String caption)

#### setGeoLocation

    @NotNull
    @NotNull GoogleImageExtension setGeoLocation​(@Nullable
                                                 @Nullable String geoLocation)

#### setTitle

    @NotNull
    @NotNull GoogleImageExtension setTitle​(@Nullable
                                           @Nullable String title)

#### setLicense

    @NotNull
    @NotNull GoogleImageExtension setLicense​(@Nullable
                                             @Nullable String licenseLocation)